{% extends 'base.html' %}
{% load static %}
{% load humanize %}

{% block body %}
<div class="container">
    <div class="row" style="margin-bottom:10px;">
        <div class="col-12 col-md-6">
            <h3>Subasta {{subasta.Id}}</h3>
        </div>
        <div class="col-12 col-md-6 text-md-right">
            <a href="{% url 'ejecutivo_subastas' %}" class="btn btn-success">Volver</a>
        </div>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-6">
                            <span class="font-weight-bold">Fecha de inicio: </span> {{subasta.FechaInicio}}
                            <br>
                            <span class="font-weight-bold">Fecha de termino: </span> {{subasta.FechaTermino}}
                            <br>
                            <span class="font-weight-bold">Dirección de entrega</span>
                            <br>
                            {{pedido.Cliente.Nombre}} {{pedido.Cliente.Apellido}}
                            <br>
                            {{pedido.Direccion.Nombre}}
                            <br>
                            {{pedido.Direccion.Pais}},
                            {{pedido.Direccion.Region}}
                            <br>
                            {{pedido.Direccion.Detalle}}
                        </div>
                        <div class="col-6">
                            <span class="font-weight-bold">Estado: </span>{{subasta.Estado.Nombre}}
                            <br>
                            <span class="font-weight-bold">Pedido asociado: #{{subasta.IdPedido}} <a href="{% url 'pedido_ejecutivo' id_pedido=subasta.IdPedido %}">Ver detalle</a></span>
                            <br>
                            {% if subasta.Estado.Id >= 22 %}
                            <span class="font-weight-bold">Participantes: <a href="{% url 'subasta_participantes' id_subasta=subasta.Id %}">Ver participantes</a></span>
                            {% endif %}
                        </div>
                    </div>

                </div>
            </div>
        </div>

        <div class="col-12">
            <br>
            {% if subasta.Estado.Id >= 22 %}
            <h3>Ofertas</h3>
            <div class="card card-body">
                <table class="table">
                    <tr>
                        <th>Transportista</th>
                        <th>Precio</th>
                        <th>Fecha oferta</th>
                        <th>Acciones</th>
                    </tr>
                    {% for i in bids %}
                    <tr {% if i.Escogida %} style="background-color: rgb(215, 255, 215);" {%endif %}>
                        <td>{{i.Transportista.Nombre}} {{i.Transportista.Apellido}}</td>
                        <td>US${{i.Precio|intcomma}}</td>
                        <td>{{i.Fecha}}</td>
                        <td>
                            {% if subasta.Estado.Id == 23 %}
                            {% if not i.Escogida %}
                            <form action="{% url 'escoger_bid' %}" method="POST">
                                {% csrf_token %}
                                <input type="hidden" name="subasta" value="{{subasta.Id}}">
                                <input type="hidden" name="transportista" value="{{i.Transportista.Id}}">
                                <input type="submit" class="btn btn-sm btn-success" value="Escoger transportista">
                            </form>
                            {% else %}
                            -
                            {% endif %}

                            {% else %}
                            -
                            {% endif %}
                        </td>
                    </tr>
                    {% endfor %}
                </table>
            </div>
            {% elif subasta.Estado.Id == 21 %}

            <h3>Transportistas disponibles</h3>
            <h6>Selecciona a los transportistas que deseas invitar a esta subasta.</h6>
            <div class="card card-body">
                <table class="table">
                    <tr>
                        <th>Transportista</th>
                        <th>Email</th>
                        <th>Telefono</th>
                    </tr>
                    {% for i in transportistas %}
                    <form action="{% url 'invitar_subasta' id_subasta=subasta.Id %}" method="post">
                        {% csrf_token %}
                    <tr>
                        <td>
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" value="{{i.Id}}" id="defaultCheck1" name="invitados">
                                <label class="form-check-label" for="defaultCheck1">
                                    {{i.Nombre}} {{i.Apellido}}
                                </label>
                            </div>
                        </td>
                        <td>{{i.Email}}</td>
                        <td>+569 {{i.Telefono}}</td>
                    </tr>
                    {% endfor %}
                </table>
            </div>

            {% endif %}
        </div>
        <div class="col-12">
            <br>
            {% if subasta.Estado.Id == 21 %}
                <input type="submit" value="Iniciar subasta" class="btn btn-success">
        </form>
            {% endif %}
            {% if subasta.Estado.Id == 23 %}
            {% if subasta.BidEscogida %}
            <form action="{% url 'finalizar_subasta' %}" method="POST">
                {% csrf_token %}
                <input type="hidden" name="subasta" value="{{subasta.Id}}">
                <input type="submit" class="btn btn-success" value="Finalizar subasta">
            </form>
            {% endif %}
            {% endif %}
        </div>
    </div>


</div>
{% endblock %}